Bug 40636 - 41_udm_create_full_app test case failed
41_udm_create_full_app test case failed
Status: VERIFIED FIXED
Product: UCS Test
Classification: Unclassified
Component: App Center
unspecified
Other Linux
: P5 normal (vote)
: ---
Assigned To: Dirk Wiesenthal
Stefan Gohmann
:
Depends on: 40160
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 06:33 CET by Stefan Gohmann
Modified: 2016-02-23 07:05 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-02-11 06:33:21 CET
41_udm_create_full_app test case failed.

http://jenkins.knut.univention.de:8080/job/UCS-4.1/job/UCS-4.1-0/job/Autotest%20MultiEnv/SambaVersion=s3,Systemrolle=master/204/testReport/junit/20_appcenter/41_udm_create_full_app/test/

*** BEGIN *** ['/usr/bin/python', '41_udm_create_full_app'] ***
*** 20_appcenter/41_udm_create_full_app *** Create a valid full appcenter/app object ***
*** START TIME: 2016-02-10 21:21:46 ***
Creating appcenter/app object with {'websiteMaintainer': ['wq99xopi2z', 'mw0nqh3vlw'], 'maintainer': 's504sg6mwf', 'version': 'gyhxeuhkzf', 'shortDescription': ['wsui5ga5ab', 'q3jgn96xtg'], 'id': 'cc09bhlknx', 'defaultPackages': ['aeul3j5yjs', 'jbfg8an7jq'], 'category': 'd2wydwqjib', 'umcModuleFlavor': 'mpiapf0ofb', 'webInterface': 'ucwbmolc5s', 'serverRole': ['domaincontroller_master', 'domaincontroller_backup', 'domaincontroller_slave', 'memberserver'], 'conflictingSystemPackages': ['xepwoopjiq', 'rl2lhvbnfa'], 'website': ['pkduejyh4o', 'sptc3z86ij'], 'vendor': 'plu2pu06xp', 'screenshot': 'vcpelilqod', 'longDescription': ['p0msmq9lju', 'i62jizreyr'], 'defaultPackagesMaster': ['mygtsfu38d', 'and2mkh8lg'], 'conflictingApps': ['ij6stfg8ab', 'yccn027unw'], 'websiteVendor': ['htap7zrqel', 'zzo3jkbzgf'], 'icon': 'YXNtYTBlNHZncA==\n', 'name': 'hf7x4dj8fe', 'umcModuleName': 'zfv6yw5pjf', 'server': ['server1.foo.bar', 'server2.foo.bar'], 'contact': 'uw2fjsr5ng', 'webInterfaceName': 'k06g52b3we'}
Cleanup after exception: <class 'univention.testing.utils.LDAPObjectValueMissing'> DN: univentionAppID=cc09bhlknx,dc=autotest090,dc=local
univentionAppScreenshot: [], missing: 'vcpelilqod'
Performing UCSTestUDM cleanup...
UCSTestUDM cleanup done
Traceback (most recent call last):
  File "41_udm_create_full_app", line 95, in <module>
    'univentionAppInstalledOnServer': server,
  File "/usr/lib/pymodules/python2.7/univention/testing/utils.py", line 143, in verify_ldap_object
    raise LDAPObjectValueMissing('DN: %s\n%s: %r, missing: \'%s\'' % (baseDn, attribute, list(found_values), '\', '.join(difference)))
univention.testing.utils.LDAPObjectValueMissing: DN: univentionAppID=cc09bhlknx,dc=autotest090,dc=local
univentionAppScreenshot: [], missing: 'vcpelilqod'
*** END TIME: 2016-02-10 21:21:46 ***
*** TEST DURATION (H:MM:SS.ms): 0:00:00.656831 ***
*** END *** 1 ***
Comment 1 Stefan Gohmann univentionstaff 2016-02-11 06:34:13 CET
Due to Bug #40160?
Comment 2 Dirk Wiesenthal univentionstaff 2016-02-11 09:37:05 CET
I have Seen this, too. App Tests fail at the Moment. But These do not install unrelease packages, do they?

I examined one machine - and Found the LDAP Object...
Comment 3 Stefan Gohmann univentionstaff 2016-02-11 09:57:03 CET
(In reply to Dirk Wiesenthal from comment #2)
> I have Seen this, too. App Tests fail at the Moment. But These do not
> install unrelease packages, do they?

The default Jenkins tests (Autotest MultiEnv) do install the unreleased errata updates. See for example: https://hutten.knut.univention.de/mediawiki/index.php/UCS_Test_Continuous#UCS_Versionen
Comment 4 Florian Best univentionstaff 2016-02-15 12:39:52 CET
Please reenable when fixed:
ucs-test (6.0.31-32):
r67435 | Bug #40636: skip 20_appcenter/41_udm_create_full_app
Comment 5 Stefan Gohmann univentionstaff 2016-02-16 06:09:23 CET
Please also re-enable:

ucs-test (6.0.32-1)
r67453: * Skip 20_appcenter/41_udm_create_full_app (Bug #40636)
Comment 6 Dirk Wiesenthal univentionstaff 2016-02-17 16:25:46 CET
Fixed in
  ucs-test 6.0.33-9.1420.201602171623

Also re-enabled.
Comment 7 Stefan Gohmann univentionstaff 2016-02-23 07:05:32 CET
OK, looks good now.